Dt/ComboBox.h(file formats)

NAME
Dt/ComboBox.h — DtComboBox widget definitions

SYNOPSIS

#include &<Dt/ComboBox.h>

DESCRIPTION

The Dt/ComboBox.h header defines the following structure:

typedef struct {
        int reason;
        XEvent *event;
        XmString item_or_text;
        int item_position;
} DtComboBoxCallbackStruct;

The header declares the following constants:

DtALIGNMENT_BEGINNING
DtALIGNMENT_CENTER
DtALIGNMENT_END
DtCR_SELECT
DtDROP_DOWN_COMBO_BOX
DtDROP_DOWN_LIST

The header declares the following as functions:

void DtComboBoxAddItem(Widget w,
        XmString item,
        int pos,
        Boolean unique);

void DtComboBoxDeletePos(Widget w,
        int pos);

void DtComboBoxSelectItem(Widget w,
        XmString item);

void DtComboBoxSetItem(Widget w,
        XmString item);